
Foreman - Bug #9249

Associate host with vm fails for all compute resources but Ovirt

02/06/2015 12:54 AM - Daniel Lobato Garcia

Status: Closed   

Priority: High   

Assignee: Tom Caspy   

Category: Compute resources   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2147

  

Description

Currently associating a vm with a host fails for all compute resources but for Ovirt.

The reason is that to do the association we make a query based on the ip or mac attributes of the Host, which are now in its own

model.

...Host.authorized(:view_hosts, Host).where(:ip...

 Fix should be as simple as performing the 'where' on the interfaces instead of the host and a couple of tests ensuring this won't break

again.

Related issues:

Related to Foreman - Tracker #2409: Networking New

Associated revisions

Revision 81a02cde - 02/11/2015 07:26 AM - Tom Caspy

fixes #9249 - associated_host fixed for all compute resources

History

#1 - 02/06/2015 03:33 AM - Dominic Cleal

- Related to Tracker #2409: Networking added

#2 - 02/06/2015 03:33 AM - Dominic Cleal

- translation missing: en.field_release set to 28

#3 - 02/08/2015 10:26 AM - Tom Caspy

- Assignee set to Tom Caspy

#4 - 02/10/2015 09:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2147 added

- Pull request deleted ()

#5 - 02/11/2015 08:01 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 81a02cdeb6a07848488e1f7677102e0a857dbf95.
